/**
 * JASMINe
 * Copyright (C) 2009 Bull S.A.S.
 * Contact: jasmine@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: ExecuteAction.java 5569 2009-10-22 07:48:15Z ardaaydin $
 * --------------------------------------------------------------------------
 */

package org.ow2.jasmine.monitoring.eos.purgetimer.service.exchange;

import java.util.Date;

public class ExecuteAction {

    private long maxEntryAge;

    private int maxEntryNumber;

    private Date executionStartDate;

    private int executionStartHours;

    private int executionInterval;

    private boolean immediateExecution;

    private boolean executeOnAllServers;

    private String domainName;

    private String serverName;

    public ExecuteAction() {

    }

    /**
     * Constructor.
     */
    public ExecuteAction(final int maxEntryAge, final int maxEntryNumber, final Date executionStartDate,
        final int executionStartHours, final int executionInterval, final boolean immediateExecution,
        final boolean executeOnAllServers, final String domainName, final String serverName)

    {
        super();
        this.maxEntryAge = maxEntryAge;
        this.maxEntryNumber = maxEntryNumber;
        this.executionStartDate = executionStartDate;
        this.executionStartHours = executionStartHours;
        this.executionInterval = executionInterval;
        this.immediateExecution = immediateExecution;
        this.executeOnAllServers = executeOnAllServers;
        this.domainName = domainName;
        this.serverName = serverName;
    }

    /**
     * @return the maxEntryAge
     */
    public long getMaxEntryAge() {
        return maxEntryAge;
    }

    /**
     * @param maxEntryAge the maxEntryAge to set
     */
    public void setMaxEntryAge(final long maxEntryAge) {
        this.maxEntryAge = maxEntryAge;
    }

    /**
     * @return the maxEntryNumber
     */
    public int getMaxEntryNumber() {
        return maxEntryNumber;
    }

    /**
     * @param maxEntryNumber the maxEntryNumber to set
     */
    public void setMaxEntryNumber(final int maxEntryNumber) {
        this.maxEntryNumber = maxEntryNumber;
    }

    /**
     * @return the executionStartDate
     */
    public Date getExecutionStartDate() {
        return executionStartDate;
    }

    /**
     * @param executionStartDate the executionStartDate to set
     */
    public void setExecutionStartDate(final Date executionStartDate) {
        this.executionStartDate = executionStartDate;
    }

    /**
     * @return the executionInterval
     */
    public int getExecutionInterval() {
        return executionInterval;
    }

    /**
     * @param executionInterval the executionInterval to set
     */
    public void setExecutionInterval(final int executionInterval) {
        this.executionInterval = executionInterval;
    }

    /**
     * @return the immediateExecution
     */
    public boolean isImmediateExecution() {
        return immediateExecution;
    }

    /**
     * @param immediateExecution the immediateExecution to set
     */
    public void setImmediateExecution(final boolean immediateExecution) {
        this.immediateExecution = immediateExecution;
    }

    /**
     * @return the executeOnAllServers
     */
    public boolean isExecuteOnAllServers() {
        return executeOnAllServers;
    }

    /**
     * @param executeOnAllServers the executeOnAllServers to set
     */
    public void setExecuteOnAllServers(final boolean executeOnAllServers) {
        this.executeOnAllServers = executeOnAllServers;
    }

    /**
     * @return the domainName
     */
    public String getDomainName() {
        return domainName;
    }

    /**
     * @param domainName the domainName to set
     */
    public void setDomainName(final String domainName) {
        this.domainName = domainName;
    }

    /**
     * @return the serverName
     */
    public String getServerName() {
        return serverName;
    }

    /**
     * @param serverName the serverName to set
     */
    public void setServerName(final String serverName) {
        this.serverName = serverName;
    }

    /**
     * @return the executionStartHours
     */
    public int getExecutionStartHours() {
        return executionStartHours;
    }

    /**
     * @param executionStartHours the executionStartHours to set
     */
    public void setExecutionStartHours(final int executionStartHours) {
        this.executionStartHours = executionStartHours;
    }

}
